Main Page Widgets Namespaces Book

# Gtk::IconThemeError Class Reference

Inheritance diagram for Gtk::IconThemeError:

[legend]

List of all members.

## Detailed Description

Exception class for Gdk::IconTheme errors.

## Public Types

enum | Code { ICON_THEME_NOT_FOUND, ICON_THEME_FAILED }

## Public Member Functions

Code | code () const
| IconThemeError (GError* gobject)
| IconThemeError (Code error_code, const Glib::ustring& error_message)

## Member Enumeration Documentation

enum Gtk::IconThemeError::Code

Enumerator:

  ICON_THEME_NOT_FOUND |
  ICON_THEME_FAILED |

## Constructor & Destructor Documentation

Gtk::IconThemeError::IconThemeError | ( | Code | error_code,
|  | const Glib::ustring & | error_message |
| ) |  |  |

Gtk::IconThemeError::IconThemeError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gtk::IconThemeError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- icontheme.h